Index: src/sas/sasgui/perspectives/fitting/simfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision 4cafdffe5bed3072f069cb0774c035a691b11443)
+++ src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision 998ca90ad87500d7d5fb3f4eb13105752a2f2952)
@@ -995,2 +1020,81 @@
         cbox.Append(name, value)
     cbox.SetStringSelection(selected)
+
+
+class SimFitPageState:
+    """
+    State of the simultaneous fit page for saving purposes
+    """
+
+    def __init__(self):
+        # Sim Fit Page Number
+        self.fit_page_no = None
+        # Select all data
+        self.select_all = False
+        # Data sets sent to fit page
+        self.model_list = []
+        # Data sets to be fit
+        self.model_to_fit = []
+        # Number of constraints
+        self.no_constraint = 0
+        # Dictionary of constraints
+        self.constraint_dict = {}
+        # List of constraints
+        self.constraints_list = []
+
+    def load_from_save_state(self, fit):
+        """
+        Load in a simultaneous/constrained fit from a save state
+        :param fit: Fitpanel object
+        :return: None
+        """
+
+        model_map = {}
+        if fit.fit_panel.sim_page is None:
+            fit.fit_panel.add_sim_page()
+        sim_page = fit.fit_panel.sim_page
+
+        # Process each model and associate old M# with new M#
+        i = 0
+        for model in sim_page.model_list:
+            model_id = self._format_id(model[1].keys()[0])
+            for saved_model in self.model_list:
+                save_id = saved_model.pop('name')
+                saved_model['name'] = save_id
+                save_id = self._format_id(save_id)
+                if save_id == model_id:
+                    model_map[saved_model.pop('fit_page_source')] = \
+                        model[3].name
+                    check = bool(saved_model.pop('checked'))
+                    sim_page.model_list[i][0].SetValue(check)
+                    break
+            i += 1
+        sim_page.check_model_name(None)
+
+        if len(self.constraints_list) > 0:
+            sim_page.hide_constraint.SetValue(False)
+            sim_page.show_constraint.SetValue(True)
+            sim_page._display_constraint(None)
+
+        for index, item in enumerate(self.constraints_list):
+            model_cbox = item.pop('model_cbox')
+            if model_cbox != "":
+                constraint_value = item.pop('constraint')
+                param = item.pop('param_cbox')
+                equality = item.pop('egal_txt')
+                for key, value in model_map.iteritems():
+                    model_cbox.replace(key, value)
+                    constraint_value.replace(key, value)
+
+                sim_page.constraints_list[index][0].SetValue(model_cbox)
+                sim_page._on_select_model(None)
+                sim_page.constraints_list[index][1].SetValue(param)
+                sim_page.constraints_list[index][2].SetLabel(equality)
+                sim_page.constraints_list[index][3].SetValue(constraint_value)
+                sim_page._on_add_constraint(None)
+
+    def _format_id(self, original_id):
+        original_id = original_id.rstrip('1234567890.')
+        new_id_list = original_id.split()
+        new_id = ' '.join(new_id_list)
+        return new_id
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 654e8e066dda6b98c221cad28e05fa6996e7fc11)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 18b7ecb9592132eb5e291874eb5b6c2046d54a45)
@@ -95,4 +95,5 @@
         self.is_state_data = False
         self.is_power_out = False
+        self._set_analysis(False)
 
         #container of invariant value
@@ -170,4 +171,5 @@
             self._reset_state_list()
             self._set_bookmark_flag(True)
+            self._set_analysis(True)
         return True
 
@@ -281,4 +283,5 @@
             self.new_state = False
             self.is_state_data = False
+            self._set_analysis(True)
 
     def clear_panel(self):
@@ -911,4 +914,5 @@
         self.button_calculate.SetFocus()
         #self.SetupScrolling()
+        self._set_analysis(False)
 
     def _set_state(self, event):
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 5a58656233d026326525899991332b8052b6536b)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 18b7ecb9592132eb5e291874eb5b6c2046d54a45)
@@ -43,4 +43,5 @@
         #Set window's font size
         self.SetWindowVariant(variant=FONT_VARIANT)
+        self._set_analysis(False)
 
         self.plots = plots
@@ -396,4 +397,7 @@
             self.bck = state.bck
 
+        # We have the data available for serialization
+        self._set_analysis(True)
+
         # Perform inversion
         self._on_invert(None)
@@ -401,4 +405,6 @@
     def set_manager(self, manager):
         self._manager = manager
+        if manager is not None:
+            self._set_analysis(False)
 
     def _do_layout(self):
@@ -752,4 +758,6 @@
         self.nterms_estimate_ctl.Enable(False)
         self.nterms_estimate_ctl.SetLabel("")
+        self._set_analysis(False)
+
         self._on_pars_changed()
 
@@ -936,4 +944,5 @@
                 self._on_pars_changed(None)
                 self._on_invert(None)
+                self._set_analysis(True)
             except:
                 msg = "InversionControl._change_file: %s" % sys.exc_value
